Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class URLDecoder

    java.lang.Object
      com.ejie.r01f.servlet.URLDecoder

public class URLDecoder
extends java.lang.Object

Métodos para la decodificación de cadenas codificadas en la URL

Constructor Summary
`URLDecoder()`

Method Summary
`static java.lang.String` | `decode(byte[] bytes)` Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema
`static java.lang.String` | `decode(byte[] bytes, java.lang.String enc)` Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema
`static java.lang.String` | `decode(java.lang.String str)` Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema
`static java.lang.String` | `decode(java.lang.String str, java.lang.String enc)` Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLDecoder

    public URLDecoder()

Method Detail

### decode

    public static java.lang.String decode(java.lang.String str)

  Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema

  Parameters:
    `str` - La cadena URL-encoded
  Returns:
    la cdadena decodificada
  Throws:
    `java.lang.IllegalArgumentException` - si se encuentra un caracter '%' no seguido por un número hexadecimal de dos dígitos valido

### decode

    public static java.lang.String decode(java.lang.String str,
                                          java.lang.String enc)

  Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema

  Parameters:
    `str` - La cadena URL-encoded
    `enc` - La codificacion
  Returns:
    la cadena decodificada
  Throws:
    `java.lang.IllegalArgumentException` - si se encuentra un caracter '%' no seguido por un número hexadecimal de dos dígitos valido

### decode

    public static java.lang.String decode(byte[] bytes)

  Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema

  Parameters:
    `bytes` - La cadena URL-encoded en forma de byte[]
  Returns:
    la cadena decodificada
  Throws:
    `java.lang.IllegalArgumentException` - si se encuentra un caracter '%' no seguido por un número hexadecimal de dos dígitos valido

### decode

    public static java.lang.String decode(byte[] bytes,
                                          java.lang.String enc)

  Decodifica y devuelve la cadena especificada Cuando se convirte el byte array de la cadena a string se utiliza la codificacion por defecto del sistema

  Parameters:
    `bytes` - La cadena URL-encoded
    `enc` - La codificacion a utilizar
  Returns:
    la cadena decodificada
  Throws:
    `java.lang.IllegalArgumentException` - si se encuentra un caracter '%' no seguido por un número hexadecimal de dos dígitos valido

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD